Package org.opensaml.saml.saml1.core.impl

# Class StatusImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.StatusImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `Status`

public class StatusImpl extends AbstractXMLObject implements Status
Concrete Implementation `Status`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private StatusCode`
`statusCode`
Representation of the StatusCode element.
`private StatusDetail`
`statusDetail`
Representation of the StatusDetail element.
`private StatusMessage`
`statusMessage`
Representation of the StatusMessage element.

### Fields inherited from interface org.opensaml.saml.saml1.core.Status

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StatusImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`StatusCode`
`getStatusCode()`
Get the object representing the `StatusCode` (element).
`StatusDetail`
`getStatusDetail()`
Get the object representing the `StatusDetail` (element).
`StatusMessage`
`getStatusMessage()`
Get the object representing the `StatusMessage` (element).
`void`
`setStatusCode(StatusCode code)`
Set the object representing the `StatusCode` (element).
`void`
`setStatusDetail(StatusDetail detail)`
Set the object representing the `StatusDetail` (element).
`void`
`setStatusMessage(StatusMessage message)`
Set the object representing the `StatusMessage` (element).

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### statusMessage

@Nullable private StatusMessage statusMessage
Representation of the StatusMessage element.

### statusCode

@Nullable private StatusCode statusCode
Representation of the StatusCode element.

### statusDetail

@Nullable private StatusDetail statusDetail
Representation of the StatusDetail element.

## Constructor Details

### StatusImpl

protected StatusImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getStatusMessage

@Nullable public StatusMessage getStatusMessage()
Get the object representing the `StatusMessage` (element).

Specified by:
  `getStatusMessage` in interface `Status`
Returns:
  object representing the `StatusMessage` (element)

### setStatusMessage

public void setStatusMessage(@Nullable StatusMessage message)
Set the object representing the `StatusMessage` (element).

Specified by:
  `setStatusMessage` in interface `Status`
Parameters:
  `message` - object representing the `StatusMessage` (element)

### getStatusCode

@Nullable public StatusCode getStatusCode()
Get the object representing the `StatusCode` (element).

Specified by:
  `getStatusCode` in interface `Status`
Returns:
  object representing the `StatusCode` (element)

### setStatusCode

public void setStatusCode(@Nullable StatusCode code)
Set the object representing the `StatusCode` (element).

Specified by:
  `setStatusCode` in interface `Status`
Parameters:
  `code` - object representing the `StatusCode` (element)

### getStatusDetail

@Nullable public StatusDetail getStatusDetail()
Get the object representing the `StatusDetail` (element).

Specified by:
  `getStatusDetail` in interface `Status`
Returns:
  object representing the `StatusDetail` (element)

### setStatusDetail

public void setStatusDetail(@Nullable StatusDetail detail)
Set the object representing the `StatusDetail` (element).

Specified by:
  `setStatusDetail` in interface `Status`
Parameters:
  `detail` - object representing the `StatusDetail` (element)

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements